Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
isolated_constraint_action Class Reference

`#include <CoinPresolveIsolated.hpp>`

Inheritance diagram for isolated_constraint_action:
[legend]
Collaboration diagram for isolated_constraint_action:
[legend]

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~isolated_constraint_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, int row, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| isolated_constraint_action ()
| isolated_constraint_action (const isolated_constraint_action &rhs)
isolated_constraint_action & | operator= (const isolated_constraint_action &rhs)
| isolated_constraint_action (double rlo, double rup, int row, int ninrow, const int *rowcols, const double *rowels, const double *costs, const CoinPresolveAction *next)

## Private Attributes
double | rlo_
double | rup_
int | row_
int | ninrow_
const int * | rowcols_
const double * | rowels_
const double * | costs_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Definition at line 11 of file CoinPresolveIsolated.hpp.

## Constructor & Destructor Documentation

isolated_constraint_action::isolated_constraint_action | ( |  | ) |
| private

isolated_constraint_action::isolated_constraint_action | ( | const isolated_constraint_action & | rhs | ) |
| private

isolated_constraint_action::isolated_constraint_action | ( | double | rlo,
|  | double | rup,
|  | int | row,
|  | int | ninrow,
|  | const int * | rowcols,
|  | const double * | rowels,
|  | const double * | costs,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 25 of file CoinPresolveIsolated.hpp.

virtual isolated_constraint_action::~isolated_constraint_action | ( |  | ) |
| virtual

## Member Function Documentation

isolated_constraint_action& isolated_constraint_action::operator= | ( | const isolated_constraint_action & | rhs | ) |
| private

const char* isolated_constraint_action::name | ( |  | ) | const
| virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* isolated_constraint_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | int | row,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void isolated_constraint_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

double isolated_constraint_action::rlo_
| private

Definition at line 16 of file CoinPresolveIsolated.hpp.

double isolated_constraint_action::rup_
| private

Definition at line 17 of file CoinPresolveIsolated.hpp.

int isolated_constraint_action::row_
| private

Definition at line 18 of file CoinPresolveIsolated.hpp.

int isolated_constraint_action::ninrow_
| private

Definition at line 19 of file CoinPresolveIsolated.hpp.

const int* isolated_constraint_action::rowcols_
| private

Definition at line 21 of file CoinPresolveIsolated.hpp.

const double* isolated_constraint_action::rowels_
| private

Definition at line 22 of file CoinPresolveIsolated.hpp.

const double* isolated_constraint_action::costs_
| private

Definition at line 23 of file CoinPresolveIsolated.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinPresolveIsolated.hpp